#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 postgresql-binary
version:              0.12.4
visibility:           public
id:                   postgresql-binary-0.12.4-HReNg61iL39DS5twHwW5HA
key:                  postgresql-binary-0.12.4-HReNg61iL39DS5twHwW5HA
license:              MIT
copyright:            (c) 2014, Nikita Volkov
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/nikita-volkov/postgresql-binary 
synopsis:             Encoders and decoders for the PostgreSQL'\''s binary format
description:
    An API for dealing with PostgreSQL'\''s binary data format.

    It can be used to implement performant bindings to Postgres.
    E.g., <http://hackage.haskell.org/package/hasql "hasql">
    is based on this library.

    It supports all Postgres versions starting from 8.3
    and is tested against 8.3, 9.3 and 9.5
    with the @integer_datetimes@ setting off and on.

category:             PostgreSQL, Database, Codecs, Parsing
abi:                  bde1ba9f4c86836b12a73bfb4f157d57
exposed:              True
exposed-modules:
    PostgreSQL.Binary.Data PostgreSQL.Binary.Decoding
    PostgreSQL.Binary.Encoding

hidden-modules:
    PostgreSQL.Binary.Encoding.Builders PostgreSQL.Binary.Prelude
    PostgreSQL.Binary.Integral PostgreSQL.Binary.Interval
    PostgreSQL.Binary.Numeric PostgreSQL.Binary.Time
    PostgreSQL.Binary.Inet PostgreSQL.Binary.BuilderPrim

import-dirs:          /usr/lib/ghc-8.10.4/site-local/postgresql-binary-0.12.4
library-dirs:         /usr/lib/ghc-8.10.4/site-local/postgresql-binary-0.12.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/postgresql-binary-0.12.4
hs-libraries:         HSpostgresql-binary-0.12.4-HReNg61iL39DS5twHwW5HA
depends:
    aeson-1.5.6.0-KKLnIH6l1ju5f1LsAaB2FK base-4.14.1.0
    binary-parser-0.5.7-AMYwO6w4odJ1tpntrLpGKi bytestring-0.10.12.0
    bytestring-strict-builder-0.4.5.4-11zdVrL0bdJ5oUqk6Cr2ER
    containers-0.6.2.1 network-ip-0.3.0.3-Kh2s1HEE1VDGOqmMYOaMV6
    scientific-0.3.6.2-D0hjJkVU90r4jvb4s5pFyS text-1.2.4.1 time-1.9.3
    transformers-0.5.6.2
    unordered-containers-0.2.13.0-Hta4uSSpiP48joPsanuYfX
    uuid-1.3.15-66GKnAFHaLo7oEcAOge98m
    vector-0.12.3.0-GRVR7S4hON84E5j6gLfg6y

haddock-interfaces:
    /usr/share/doc/haskell-postgresql-binary/html/postgresql-binary.haddock

haddock-html:         /usr/share/doc/haskell-postgresql-binary/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

